summaryrefslogtreecommitdiff
path: root/buildtools/scripts/configure.waf
diff options
context:
space:
mode:
authorGünther Deschner <gd@samba.org>2011-02-08 20:44:55 +0100
committerGünther Deschner <gd@samba.org>2011-02-08 20:44:55 +0100
commit587cfd1832d297a1a7e472e20889da356f9e6815 (patch)
treeec2dccd41cc1335c09573c45e556bc3feab98aa5 /buildtools/scripts/configure.waf
parent8b64d0607bc3b5e3182d8a879a7fa382dbdf0fc7 (diff)
downloadsamba-587cfd1832d297a1a7e472e20889da356f9e6815.tar.gz
samba-587cfd1832d297a1a7e472e20889da356f9e6815.tar.bz2
samba-587cfd1832d297a1a7e472e20889da356f9e6815.zip
waf: bring back shared Makefile and configure (needed by s3-waf).
Guenther Revert "build: removed unused build scripts" This reverts commit 2e520ca91180920e4c8b71be4eaa7fabb56d2a12.
Diffstat (limited to 'buildtools/scripts/configure.waf')
-rwxr-xr-xbuildtools/scripts/configure.waf14
1 files changed, 14 insertions, 0 deletions
diff --git a/buildtools/scripts/configure.waf b/buildtools/scripts/configure.waf
new file mode 100755
index 0000000000..a7d8d1dbd6
--- /dev/null
+++ b/buildtools/scripts/configure.waf
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+PREVPATH=`dirname $0`
+
+WAF=BUILDTOOLS/bin/waf
+
+# using JOBS=1 gives maximum compatibility with
+# systems like AIX which have broken threading in python
+JOBS=1
+export JOBS
+
+cd BUILDPATH || exit 1
+$WAF configure "$@" || exit 1
+cd $PREVPATH